-- 
-- Basic Metrics of Resource Monitoring for Cloud
--

SET client_encoding = 'UTF8';
SET standard_conforming_strings = off;
SET check_function_bodies = false;
SET client_min_messages = warning;
SET escape_string_warning = off;

SET search_path = setting, log, pg_catalog;

-- category definition for Cloud

CREATE OR REPLACE FUNCTION add_cc_collector_category_mst( varchar, varchar ) RETURNS VOID AS
$$
BEGIN
	SET search_path = setting, log, pg_catalog;
	UPDATE cc_collector_category_mst SET category_name=$2 WHERE category_code=$1;
	INSERT INTO cc_collector_category_mst (category_code, category_name)
		SELECT $1, $2 WHERE NOT EXISTS (SELECT 1 FROM cc_collector_category_mst WHERE category_code=$1);
END
$$ LANGUAGE plpgsql;
;

SELECT add_cc_collector_category_mst ('C020_CPU','CPU(Cloud)');
SELECT add_cc_collector_category_mst ('C021_MEM','Memory(Cloud)');
SELECT add_cc_collector_category_mst ('C022_DSK','Disk(Cloud)');
SELECT add_cc_collector_category_mst ('C023_NET','Network(Cloud)');
SELECT add_cc_collector_category_mst ('C024_FS','FileSystem(Cloud)');

SELECT add_cc_collector_category_mst ('C030_VM_CPU','CPU(Virtualization)');
SELECT add_cc_collector_category_mst ('C031_VM_MEM','Memory(Virtualization)');
SELECT add_cc_collector_category_mst ('C032_VM_DSK','Disk(Virtualization)');
SELECT add_cc_collector_category_mst ('C033_VM_NET','Network(Virtualization)');
SELECT add_cc_collector_category_mst ('C034_VM_FS','FileSystem(Virtualization)');

DROP FUNCTION add_cc_collector_category_mst( varchar, varchar );
