-- 
-- Basic Metrics of Resource Monitoring for Cloud
--

SET client_encoding = 'UTF8';
SET standard_conforming_strings = off;
SET check_function_bodies = false;
SET client_min_messages = warning;
SET escape_string_warning = off;

SET search_path = setting, log, pg_catalog;

-- category definition for Cloud

CREATE OR REPLACE FUNCTION add_cc_collector_category_mst( varchar, varchar ) RETURNS VOID AS
$$
BEGIN
	SET search_path = setting, log, pg_catalog;
	UPDATE cc_collector_category_mst SET category_name=$2 WHERE category_code=$1;
	INSERT INTO cc_collector_category_mst (category_code, category_name)
		SELECT $1, $2 WHERE NOT EXISTS (SELECT 1 FROM cc_collector_category_mst WHERE category_code=$1);
END
$$ LANGUAGE plpgsql;
;

SELECT add_cc_collector_category_mst ('C020_CPU','CPU(クラウド)');
SELECT add_cc_collector_category_mst ('C021_MEM','メモリ(クラウド)');
SELECT add_cc_collector_category_mst ('C022_DSK','ディスク(クラウド)');
SELECT add_cc_collector_category_mst ('C023_NET','ネットワーク(クラウド)');
SELECT add_cc_collector_category_mst ('C024_FS','ファイルシステム(クラウド)');

SELECT add_cc_collector_category_mst ('C030_VIRT_CPU','CPU(仮想化)');
SELECT add_cc_collector_category_mst ('C031_VIRT_MEM','メモリ(仮想化)');
SELECT add_cc_collector_category_mst ('C032_VIRT_DSK','ディスク(仮想化)');
SELECT add_cc_collector_category_mst ('C033_VIRT_NET','ネットワーク(仮想化)');
SELECT add_cc_collector_category_mst ('C034_VIRT_FS','ファイルシステム(仮想化)');

DROP FUNCTION add_cc_collector_category_mst( varchar, varchar );
