if [ "$LANGUAGE" = "" ]
then
	if [ "$LANG" = "ja_JP.UTF-8" -o "$LANG" = "ja_JP.utf8" ]
	then
		LANGUAGE="jp"
	else
		LANGUAGE="en"
	fi
fi

function log()
{
	echo $@ >> ~/install.log.hinemos_manager_xcloud
}

PERSISTENCE_XML_PATH="${HINEMOS_ETC_DIR}/META-INF/persistence.xml"
XML_POST_JAR_POSITION="<!-- add jar-file here -->"

function regist_persistence()
{	
	local LIBDIR=${1}
	local ENTITY_JARS=${2}
	local ORM_XML_PATHS=${3}

	for ENTITY_JAR in ${ENTITY_JARS}
	do
		if [ -f ${LIBDIR}/${ENTITY_JAR} ]; then
			sed -ie "/<jar-file>${LIBDIR//\//\\/}\/${ENTITY_JAR}<\/jar-file>/d" ${PERSISTENCE_XML_PATH}
			sed -ie "/${XML_POST_JAR_POSITION}/i \		<jar-file>${LIBDIR}/${ENTITY_JAR}</jar-file>" ${PERSISTENCE_XML_PATH}
		else
			log "failed : file ${LIBDIR}/${ENTITY_JAR} not found."
		fi
	done
}

function deregist_persistence(){
	local LIBDIR=${1}
	local ENTITY_JARS=${2}
	local ORM_XML_PATHS=${3}

	for ENTITY_JAR in ${ENTITY_JARS}
	do
		sed -ie "/<jar-file>${LIBDIR//\//\\/}\/${ENTITY_JAR}<\/jar-file>/d" ${PERSISTENCE_XML_PATH}
	done
}

PGPASSWORD=${PGPASSWORD="hinemos"}
export PGPASSWORD

function db_manipulate(){
	local TABLE_SCRIPT=${1}
	
	ext=${TABLE_SCRIPT##*.}
	ext=${ext% *}
	if [ "sql" = ${ext} ] ; then
		if [ -x ${RDS_HOST} ] ; then
			${PG_HOME}/bin/psql -p 24001 -U ${PG_USER} -f ${TABLE_SCRIPT} 1>/dev/null
		else
			${PG_HOME}/bin/psql -h ${RDS_HOST} -p 24001 -U ${PG_USER} -f ${TABLE_SCRIPT} 1>/dev/null
		fi
	else
		. ${TABLE_SCRIPT}
	fi
	
	RET=$?
	if [ ${RET} -ne 0 ]; then
		log "failed : sql file ${TABLE_SCRIPT}.";
		return 1
	fi
	
	return 0
}

PLUGINS_DIR="${HINEMOS_HOME}/plugins"
INSTALL_USER="hinemos"
INSTALL_GROUP="hinemos"

function create_links(){
	local LIBDIR=${1}
	local INSTALL_LIBRARIES=${2}

	for INSTALL_JAR in ${INSTALL_LIBRARIES}
	do
		ln -sf ${LIBDIR}/${INSTALL_JAR} ${HINEMOS_HOME}/lib || { log "failed : ln -s ${LIBDIR}/${INSTALL_JAR} ${HINEMOS_HOME}/lib"; }
		chown -h ${INSTALL_USER}:${INSTALL_GROUP} ${LIB_DIR}/${INSTALL_JAR}
	done
}

function remove_links(){
	local INSTALL_LIBRARIES=${1}

	for INSTALL_JAR in ${INSTALL_LIBRARIES}
	do
		FILE=${HINEMOS_HOME}/lib/${INSTALL_JAR}
		if [ -e ${FILE} ]; then
			rm -f ${FILE} && log "file ${FILE} is removed."
		else
			log "failed : file ${FILE} not found."
		fi
	done
}